Bug 1700 - preuninstall script turns dictd off
: preuninstall script turns dictd off
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/dict-eng-deu)
: unstable
: all Linux
: P5 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-12-12 14:43 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-12-12 14:43:45
So even if other dictionaries are installed, after removing this single
dictionary, dictd gets stopped and turned off (removed from the startup
services list). That makes it not possible to use the remaining dictionaries.

---
$ rpm -qa \'dict*\'
dict-deu-eng-0.2-alt1
dict-1.8.0-alt1
dictd-1.8.0-alt1
dict-jargon-4.3.1-alt1
dict-engcom-0.4-alt1
dict-web1913-1.4_0.47pd-ipl4
dict-tools-1.8.0-alt1
dict-mueller7-utf8-1.2-alt2
dict-eng-deu-0.2-alt1
$ dict otherwise
# you get the answer from localhost, dictd is running
$ apt-get remove dict-eng-deu
Reading Package Lists... Done
Collecting File Provides... Done
Building Dependency Tree... Done
Starting
Starting 2
Done
The following packages will be REMOVED:
  dict-eng-deu 
0 packages upgraded, 0 newly installed, 1 removed and 191 not upgraded.
Need to get 0B of archives. After unpacking 3193kB will be freed.
Do you want to continue? [Y/n] 
Executing RPM (/bin/rpm -e --fancypercent --nodeps)...
Stopping dictd daemon: [  OK  ]
$ chkconfig --list dictd
# it used to be turned on
dictd           0:off   1:off   2:off   3:off   4:off   5:off   6:off
$ dict otherwise
# you can\'t connect to localhost\'s server, you get the answer from dict.org
(configured in /etc/dict.conf).

---
preuninstall scriptlet (through /bin/sh):
/usr/sbin/dictdconfig -w

if [ $1 = 0 ]; then     
        /sbin/chkconfig --del dictd ||: 
        /sbin/service dictd condstop ||:        
fi
------- Comment #1 From 2002-12-12 14:56:46 -------
dict-eng-deu-0.2-alt1
------- Comment #2 From 2002-12-12 14:56:46 -------
dict-eng-deu-0.2-alt1
------- Comment #3 From 2002-12-12 14:56:57 -------
dict-eng-deu-0.2-alt1
------- Comment #4 From 2002-12-12 14:56:57 -------
dict-eng-deu-0.2-alt1
------- Comment #5 From 2003-02-04 19:58:29 -------
fixed in dict-eng-deu-0.2-alt2
------- Comment #6 From 2003-02-04 19:58:29 -------
fixed in dict-eng-deu-0.2-alt2